Home My Page Projects Code Snippets Project Openings SML/NJ Bugs
Summary Activity Tracker Lists

[#81] sml/nj does not work with Linux 3.0

Date:
2011-10-16 21:43
Priority:
3
State:
Closed
Submitted by:
Bug Submitter (webuser)
Assigned to:
John Reppy (jhr)
Machine Architecture:
None
Operating System:
Linux
Component:
Other
Resolution:
None
Severity:
Critical
OS Version:
3.0
SML/NJ Version:
110.73
Keywords:
kernel, linux, ubuntu
URL:
Transcript (of reproduction):
Source (for reproduction):
Attempt to install smlnj on top of Linux 3.0. (Ubuntu 11.10 ships with a 3.0 kernel.)
Summary:
sml/nj does not work with Linux 3.0

Detailed description
Due to an operating system version check sml/nj will
neither install (using install.sh) nor run
(if already installed before the kernel upgrade).

(I suspect this is the reason for the removal of smlnj
from the Ubuntu repositories as it no longer works on the
newest version of Ubuntu.)
Additional comments:
I did not include the transcript as the bug occurred on a
friends machine.

Fix:
Add 3.0.* or 3.* to the switch in .arch-n-opsys

After line 95 adding:

3.0.*) ;;

or

3.*) ;;

Fixes the problem.

Submitted via web form by Kaida kaidadragonfly@gmail.com

Comments:

Message  ↓
Date: 2011-10-26 02:06
Sender: Lars Bergstrom

Fixed. We now support all 3.x kernels.

Date: 2011-10-24 18:08
Sender: John Reppy

Same as bug #80

Attached Files:

Changes

Field Old Value Date By
status_idOpen2011-10-26 02:06larsberg
close_date2011-10-26 02:062011-10-26 02:06larsberg
assigned_tonone2011-10-24 18:08jhr